package com.example.catchTheLetters.constant;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author 慕华
 * @date 2024/4/8
 * @Version 1.0
 * @description
 */
@Getter
@AllArgsConstructor
public enum HttpStatus {

    SUCCESS(200, "操作成功"),

    BAD_REQUEST(400, "参数列表错误"),

    TOKEN_EXCEPTION(401, "token验证错误"),

    USERNAME_CONFLICT(409, "用户名已存在"),

    ERROR(500, "系统内部错误");

    private final Integer code;

    private final String desc;
}

