package com.example.catchTheLetters.model.vo;

import lombok.Data;

import java.io.Serializable;

/**
 * @author 慕华
 * @date 2024/4/10
 * @Version 1.0
 * @description
 */
@Data
public class UserVo implements Serializable {
    /**
     * 用户ID
     */
    private String id;
    /**
     * 用户名
     */
    private String username;
    /**
     * 性别
     * -0：未知
     * -1：男
     * -2：女
     */
    private int sex;
    /**
     * 头像
     */
    private String avatar;
    /**
     * 邮箱
     */
    private String email;
    /**
     * 手机号
     */
    private String phone;
    /**
     * 状态
     * -0：已注销（逻辑删除）
     * -1：在线
     * -2：离线
     * -3：封禁
     * -4：未激活（未验证邮箱或手机号）
     */
    private Integer status;
    /**
     * 个人介绍
     */
    private String introduction;
    /**
     * 当前游戏进度（关卡ID）
     */
    private Integer progress;
}
