package com.example.catchTheLetters.entity;

import lombok.Data;

import java.io.Serializable;

/**
 * 数据表版本类（用于Realm对MongoDB的数据表版本进行同步检测，版本号不同则进行同步）
 *
 * @author spyn
 */
@Data
public class Version implements Serializable {
    /**
     * 数据表名称（即类名）
     */
    private String table;
    /**
     * 数据表版本号
     */
    private Long version;
}
